package uebung1;

import java.awt.*;
import java.util.ArrayList;

public class MyPoint2D {

    double x;
    double y;

    static ArrayList<MyPoint2D> points = new ArrayList<MyPoint2D>();

    public MyPoint2D(double x, double y){
        this.x = x;
        this.y = y;

        points.add(this);
    }

    public static double abstand(MyPoint2D point1, MyPoint2D point2){

        return Math.sqrt(Math.pow((point1.x - point2.x), 2) + Math.pow((point2.y-point2.y), 2));

    }

    public static void print_points(){

        System.out.println("Folgende Punkte sind bisher erzeugt worden:");

        for (MyPoint2D p : MyPoint2D.points) {

            System.out.println("Punkt: (" + p.x + "," + p.y + ")");

        }

    }


    public static void main(String[] args){

        MyPoint2D p1 = new MyPoint2D(1.0, 2.0);

        MyPoint2D.print_points();

        MyPoint2D p2 = new MyPoint2D(1.0, 2.0);

        MyPoint2D.print_points();

        System.out.println("Abstand ist: " + MyPoint2D.abstand(p1, p2));

    }


}
